Loading...
Searching...
No Matches
OgreHardwareVertexBuffer.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreHardwareBuffer.h"`
`#include "OgreSharedPtr.h"`
`#include "OgreColourValue.h"`
`#include "OgreHeaderPrefix.h"`
`#include "OgreHeaderSuffix.h"`

## Classes

class | Ogre::HardwareVertexBuffer
| Specialisation of HardwareBuffer for a vertex buffer. More...
class | Ogre::VertexBufferBinding
| Records the state of all the vertex buffer bindings required to provide a vertex declaration with the input data it needs for the vertex elements. More...
class | Ogre::VertexDeclaration
| This class declares the format of a set of vertex inputs, which can be issued to the rendering API through a RenderOperation. More...
class | Ogre::VertexElement
| This class declares the usage of a single vertex buffer as a component of a complete VertexDeclaration. More...

## Namespaces

namespace | Ogre

## Typedefs

typedef HardwareBufferLockGuard | Ogre::HardwareVertexBufferLockGuard

## Enumerations

enum | Ogre::VertexElementSemantic : uint8 { Ogre::VES_POSITION = 1 , Ogre::VES_BLEND_WEIGHTS = 2 , Ogre::VES_BLEND_INDICES = 3 , Ogre::VES_NORMAL = 4 , Ogre::VES_COLOUR = 5 , Ogre::VES_COLOUR2 = 6 , Ogre::VES_TEXTURE_COORDINATES = 7 , Ogre::VES_BINORMAL = 8 , Ogre::VES_TANGENT = 9 , Ogre::VES_COUNT = 9 , Ogre::VES_DIFFUSE = VES_COLOUR , Ogre::VES_SPECULAR = VES_COLOUR2 }
| Vertex element semantics, used to identify the meaning of vertex buffer contents. More...

enum

Ogre::VertexElementType : uint8 {
Ogre::VET_FLOAT1 = 0 , Ogre::VET_FLOAT2 = 1 , Ogre::VET_FLOAT3 = 2 , Ogre::VET_FLOAT4 = 3 ,
Ogre::VET_SHORT1 = 5 , Ogre::VET_SHORT2 = 6 , Ogre::VET_SHORT3 = 7 , Ogre::VET_SHORT4 = 8 ,
Ogre::VET_UBYTE4 = 9 , Ogre::_DETAIL_SWAP_RB = 10 , Ogre::VET_DOUBLE1 = 12 , Ogre::VET_DOUBLE2 = 13 ,
Ogre::VET_DOUBLE3 = 14 , Ogre::VET_DOUBLE4 = 15 , Ogre::VET_USHORT1 = 16 , Ogre::VET_USHORT2 = 17 ,
Ogre::VET_USHORT3 = 18 , Ogre::VET_USHORT4 = 19 , Ogre::VET_INT1 = 20 , Ogre::VET_INT2 = 21 ,
Ogre::VET_INT3 = 22 , Ogre::VET_INT4 = 23 , Ogre::VET_UINT1 = 24 , Ogre::VET_UINT2 = 25 ,
Ogre::VET_UINT3 = 26 , Ogre::VET_UINT4 = 27 , Ogre::VET_BYTE4 = 28 , Ogre::VET_BYTE4_NORM = 29 ,
Ogre::VET_UBYTE4_NORM = 30 , Ogre::VET_SHORT2_NORM = 31 , Ogre::VET_SHORT4_NORM = 32 , Ogre::VET_USHORT2_NORM = 33 ,
Ogre::VET_USHORT4_NORM = 34 , Ogre::VET_INT_10_10_10_2_NORM = 35 , Ogre::VET_HALF1 = 36 , Ogre::VET_HALF2 = 37 ,
Ogre::VET_HALF3 = 38 , Ogre::VET_HALF4 = 39 , Ogre::VET_COLOUR = VET_UBYTE4_NORM , Ogre::VET_COLOUR_ARGB = VET_UBYTE4_NORM ,
Ogre::VET_COLOUR_ABGR = VET_UBYTE4_NORM
}

| Vertex element type, used to identify the base types of the vertex contents. More...